Subject: bug#64897: 29.0.91; Bug (and patch) in find-dired-with-command

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Aug 2023 11:20:13 +0300

> Cc: [email-masked], Warren Lynn <[email-masked]>
> From: Michael Albinus <[email-masked]>
> Date: Sun, 13 Aug 2023 09:42:50 +0200
> 
> GNU ls has changed its default how to quote special characters in file
> names. Likely, you've got a recent version of coreutils on your machine.
> 
> This change has raised controversioal discussions, but now it
> exists. See <https://www.gnu.org/software/coreutils/quotes.html>.

Maybe we should invoke 'ls' via a pipe, rather than PTY, so that this
change (which AFAIU we don't need in Dired) doesn't affect us?  Of
course, this will probably not help remote invocations.  But maybe we
should inject "QUOTING_STYLE=literal" into the environment in those
cases?